/* This is the CSS for the basic-contact-form element. Treat it as such.*/

@font-face {
    font-family: century-gothic;
    src: url("../fonts/centurygothic.ttf");
}
@font-face {
    font-family: century-gothic-bold;
    src: url("../fonts/centurygothic_bold.ttf");
}

.contact-section-content-wrapper {
    display: flex;
    flex-wrap: nowrap!important;
}

.basic-form-wrapper {
    display: flex;
    justify-content: center;
    width: max-content;
}

.basic-form {
    display: flex;
    justify-content: left;
}

.basic-form-element {
    max-width: 90%!important;
}

.basic-form-element label {
    font-family: century-gothic;
    text-wrap: nowrap;
    margin-left: 2px;
    margin-bottom: -20px;
}

.basic-form-element input {
    margin-bottom: 12px;
    margin-top:10px;
    transform: translateY(-10px);
}

.basic-form-field {
    width: 100%;
    border: 1.3px solid rgb(175, 175, 175);
    border-radius: 6px;
    min-height: 10px;
    text-indent: 5px;
    padding: 5px;
}


.basic-form-textarea {
    width: 100%;
    max-width: 100%;
    border: 1.3px solid rgb(175, 175, 175);
    border-radius: 6px;
    min-height: 15.5px;
    max-height: 140px;
    padding: 5px;
    padding-left: 10px;
    padding-right: 0;
    margin-bottom: 15px;
    resize: vertical;
}

.basic-form-field:focus, .basic-form-textarea:focus {
    outline: 1px solid rgb(156, 156, 156)
}

.fl-name-section {
    display: flex;
    flex-wrap: column;
}


.f-name-wrapper {
    width: 26vw;
    max-width: 350px;
}

.l-name-wrapper {
    width: 26vw;
    max-width: 350px;
    margin-left: 25px;
}

@media screen and (max-width: 350px) {
    .fl-name-section {
        flex-wrap: unset;
        flex-wrap: wrap;
        flex-flow: column wrap;
    }
    .f-name-wrapper, .l-name-wrapper {
        width: calc(60vw + 10px);
        min-width: 100%;
    }
    .l-name-wrapper {
        margin-left: 0;
    }
}

.basic-form-checkboxes-wrapper {
    margin-top: 0;
    margin-bottom: -20px;
}

.basic-form-checkbox-caption {
    margin-bottom: -30px!important;
    margin-top: 0px;
}

input.basic-form-checkbox {
    transform: translateY(0px);
}

.basic-form-checkbox-label {
    /* display: block; */
    transform: translateY(-10px);
    margin-bottom: -100px!important;
}

.basic-form-checkbox:focus {
    outline: none;
}

.phone-checkbox {
    margin-left: 15px;
}

.basic-form-submit {
    border-radius: 100px;
    border: none;
    padding: 4px 20px;
    margin-top: 15px!important;
    font-family: century-gothic-bold;
    font-size: 1.3rem;
    color: white;
    background-color: blue;
    cursor: pointer;
}

/* Image */

.basic-form-image {
    width: clamp(380px, 55%, 700px)!important;
    margin-left: -3vw;
    filter: drop-shadow(2px 12px 13px #00000040);
}

.basic-form-image img {
    width: 100%!important;
    max-height: 695px;
    min-height: 695px;
    object-fit: cover;
    object-position: 32% 50%;
    border-radius: clamp(10px, 3.25vw, 75px)!important;
}

@media screen and (max-width: 1368px) {
    .contact-section-content-wrapper {
        display: flex;
        flex-wrap: wrap!important;
    }
    .basic-form-image {
        width: 100%!important;
        justify-self: center!important;
    }
    .basic-form-image img {
        max-height: 1000px;
        min-height: 350px;
        border-radius: 60px!important;
    }
    .basic-form-wrapper {
        width: 100%!important;
        position: relative;
        display: block;
    }
    .basic-form-element {
        min-width: 100%;
        justify-self: center;
    }
    .f-name-wrapper {
        max-width: unset;
        width: 100%;
    }

    .l-name-wrapper {
        max-width: unset;
        width: 100%;
    }
    .fl-name-section {
        width: 100%;
    }
}